// pages/domain/domain.js
const app = getApp();
import DomainService from '../../utils/api/domainApi';
Page({

    /**
     * 页面的初始数据
     */
    data: {
        indicatorWidth: 0,
        scrollWidth: 0, //滚动视图的总宽度
        screenWidth: 0, //屏幕宽度
        sliderWidth: 10, //指示器宽度
        lastScrollLeft: 0,
        lastScrollTop: 0,
        defaultSliderWidth: 10, //默认指示器宽度
        domainCategoryList: [], //特色产业
        keyEnterpriseList: [], //重点企业
        showPageLoading: true,
        imgBasePath: app.globalData.imgPath,
        domainInfo: {}, //产业基础
        isAreaExpand: false,
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        var window = wx.getWindowInfo()
        var screenWidth = window.screenWidth
        this.setData({
            screenWidth: screenWidth - 34
        })
        var _self = this
        //产业基础
        _self.getDomainInfo()
        //特色产业
        _self.getDomainCategory()
        //重点企业
        _self.getKeyEnterprise()
        setTimeout(() => {
            _self.setData({
                showPageLoading: false
            })
        }, 2000);
    },
    onReady() {
        var _self = this
        setTimeout(_ => {
            const query = wx.createSelectorQuery().in(this)
            query.selectAll('.plates-item').boundingClientRect()
            query.exec(res => {
                let width = 0
                if (res) {
                    res[0].forEach(x => {
                        width += x.width
                    })
                }
                _self.setData({
                    scrollWidth: width - _self.data.screenWidth
                })
            })
        }, 5)
    },
    //产业基础
    getDomainInfo() {
        var _self = this
        DomainService.doGetDomainInfo()
            .then(res => {
                if (res) {
                    _self.setData({
                        domainInfo: res.rows[0]
                    })
                }
            }, err => {
                wx.showToast({
                    title: '网络错误(domainInfo)',
                })
            })
    },
    //特色产业
    getDomainCategory() {
        var _self = this
        DomainService.doGetDomainCategory()
            .then(res => {
                if (res) {
                    _self.setData({
                        domainCategoryList: res
                    })
                }
            }, err => {
                wx.showToast({
                    title: '网络错误(domainCategory)',
                })
            })
    },
    //重点企业
    getKeyEnterprise() {
        var _self = this
        DomainService.doGetKeyEnterprise()
            .then(res => {
                if (res) {
                    _self.setData({
                        keyEnterpriseList: res
                    })
                }
            }, err => {
                wx.showToast({
                    title: '网络错误(domainEnterprise)',
                })
            })
    },
    //监听scroll-view滚动
    scrollPlates(e) {
        var _self = this
        let scrollLeft = e.detail.scrollLeft;
        var offsetLeft = e.detail.scrollLeft
        var scale = _self.data.scrollWidth / 30
        var offsetX = offsetLeft / scale
        console.log(`${offsetX} ${offsetLeft} ${scale}`)
        console.log(`滚动条宽度:${_self.data.sliderWidth}---偏移量:${offsetX}`)
        _self.setData({
            sliderWidth: _self.data.defaultSliderWidth + offsetX,
            lastScrollLeft: scrollLeft
        })
    },
    areaShowAll() {
        var _self = this
        _self.setData({
            isAreaExpand: !_self.data.isAreaExpand
        })
    },
    //公司详情
    showCompany() {
        wx.navigateTo({
            url: '/pages/company/company',
        })
    },
    onPullDownRefresh() {
        var _self = this
        _self.setData({
            showPageLoading: true
        })
        _self.getDomainCategory()
        _self.getKeyEnterprise()
        setTimeout(() => {
            wx.stopPullDownRefresh()
            _self.setData({
                showPageLoading: false
            })
        }, 2000);
    },
    //园区详情
    showGarden() {
        wx.navigateTo({
            url: '/pages/garden/garden',
        })
    }
})